<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#StatementOfCashFlows" roleURI="http://www.thpa.gr/role/StatementOfCashFlows"/>
  <roleRef xlink:type="simple" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#StatementOfComprehensiveIncome" roleURI="http://www.thpa.gr/role/StatementOfComprehensiveIncome"/>
  <roleRef xlink:type="simple" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#StatementOfFinancialPosition" roleURI="http://www.thpa.gr/role/StatementOfFinancialPosition"/>
  <roleRef xlink:type="simple" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#StatementOfChangesInEquity" roleURI="http://www.thpa.gr/role/StatementOfChangesInEquity"/>
  <arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"/>
  <calculationLink xlink:type="extended" xlink:role="http://www.thpa.gr/role/StatementOfCashFlows">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_1"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_2"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_4"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents" xlink:label="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments" xlink:label="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_6"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_8"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_9"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_10"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForInterestRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForInterestRightOfUseAssets_11"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant" xlink:label="loc_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_12"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_13"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentGainForUnusedProvisions" xlink:label="loc_thpa_AdjustmentGainForUnusedProvisions_14"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_15"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" xlink:label="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment_16"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_17"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_18"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_19"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_20"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables_21"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAndOnBehalfOfEmployees" xlink:label="loc_ifrs-full_PaymentsToAndOnBehalfOfEmployees_22"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_23"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_24"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_26"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_26"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_27"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xlink:to="loc_ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xlink:to="loc_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_2" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xlink:to="loc_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_3" order="20" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_4" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents_5" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_6" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_ProfitLoss_8" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_9" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_10" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_thpa_AdjustmentForInterestRightOfUseAssets_11" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_12" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_13" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_thpa_AdjustmentGainForUnusedProvisions_14" order="60" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_15" order="70" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment_16" order="80" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_17" order="90" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_18" order="100" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_19" order="110" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_20" order="120" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables_21" order="130" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_PaymentsToAndOnBehalfOfEmployees_22" order="140" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_23" order="150" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_8" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_24" order="160" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_26" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_26" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_26" order="0" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_26" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_27" order="10" use="optional" weight="-1"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.thpa.gr/role/StatementOfComprehensiveIncome">
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_Ebitda" xlink:label="loc_thpa_Ebitda_0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_2"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_2"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts" xlink:label="loc_ifrs-full_FinanceCosts_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome" xlink:label="loc_ifrs-full_FinanceIncome_4"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales" xlink:label="loc_ifrs-full_CostOfSales_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue_6"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdministrativeExpense" xlink:label="loc_ifrs-full_AdministrativeExpense_8"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DistributionCosts" xlink:label="loc_ifrs-full_DistributionCosts_9"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByFunction" xlink:label="loc_ifrs-full_OtherExpenseByFunction_10"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome" xlink:label="loc_ifrs-full_OtherIncome_11"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_15"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_15"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_16"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_1" xlink:to="loc_ifrs-full_ProfitLoss_2" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_2" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_2" order="0" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_2" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_3" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_3" xlink:to="loc_ifrs-full_FinanceCosts_3" order="0" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_3" xlink:to="loc_ifrs-full_FinanceIncome_4" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_3" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_5" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_5" xlink:to="loc_ifrs-full_GrossProfit_5" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_5" xlink:to="loc_ifrs-full_CostOfSales_5" order="0" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_5" xlink:to="loc_ifrs-full_Revenue_6" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_5" xlink:to="loc_ifrs-full_AdministrativeExpense_8" order="10" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_5" xlink:to="loc_ifrs-full_DistributionCosts_9" order="20" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_5" xlink:to="loc_ifrs-full_OtherExpenseByFunction_10" order="30" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_5" xlink:to="loc_ifrs-full_OtherIncome_11" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_1" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_15" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_15" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_15" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_15" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_16" order="10" use="optional" weight="-1"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.thpa.gr/role/StatementOfFinancialPosition">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets_0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentProperty" xlink:label="loc_ifrs-full_InvestmentProperty_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_2"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets" xlink:label="loc_ifrs-full_RightofuseAssets_4"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentReceivables" xlink:label="loc_ifrs-full_NoncurrentReceivables_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_6"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets_7"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="loc_ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates_8"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RestrictedCashAndCashEquivalents" xlink:label="loc_ifrs-full_RestrictedCashAndCashEquivalents_9"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets_11"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories" xlink:label="loc_ifrs-full_Inventories_11"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_12"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets" xlink:label="loc_ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets_13"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets_14"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents_15"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities_17"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity_18"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="loc_ifrs-full_IssuedCapital_18"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherReserves" xlink:label="loc_ifrs-full_OtherReserves_19"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings" xlink:label="loc_ifrs-full_RetainedEarnings_20"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities" xlink:label="loc_ifrs-full_Liabilities_22"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities_22"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:label="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_22"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_23"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_24"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities_26"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:label="loc_ifrs-full_OtherCurrentFinancialLiabilities_26"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_27"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="loc_ifrs-full_CurrentTaxLiabilities_28"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_29"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Advances" xlink:label="loc_ifrs-full_Advances_30"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_0" xlink:to="loc_ifrs-full_NoncurrentAssets_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_InvestmentProperty_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_2" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_3" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_RightofuseAssets_4" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_NoncurrentReceivables_5" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_6" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_DeferredTaxAssets_7" order="60" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates_8" order="70" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_RestrictedCashAndCashEquivalents_9" order="80" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_0" xlink:to="loc_ifrs-full_CurrentAssets_11" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_11" xlink:to="loc_ifrs-full_Inventories_11" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_11" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_12" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_11" xlink:to="loc_ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets_13" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_11" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets_14" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_11" xlink:to="loc_ifrs-full_CashAndCashEquivalents_15" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_17" xlink:to="loc_ifrs-full_Equity_18" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_18" xlink:to="loc_ifrs-full_IssuedCapital_18" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_18" xlink:to="loc_ifrs-full_OtherReserves_19" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_18" xlink:to="loc_ifrs-full_RetainedEarnings_20" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_17" xlink:to="loc_ifrs-full_Liabilities_22" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_22" xlink:to="loc_ifrs-full_NoncurrentLiabilities_22" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_22" xlink:to="loc_ifrs-full_NoncurrentProvisionsForEmployeeBenefits_22" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_22" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_23" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_22" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_24" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_22" xlink:to="loc_ifrs-full_CurrentLiabilities_26" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_26" xlink:to="loc_ifrs-full_OtherCurrentFinancialLiabilities_26" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_26" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_27" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_26" xlink:to="loc_ifrs-full_CurrentTaxLiabilities_28" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_26" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_29" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_26" xlink:to="loc_ifrs-full_Advances_30" order="40" use="optional" weight="1"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.thpa.gr/role/StatementOfChangesInEquity">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome_0"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_2"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" xlink:to="loc_ifrs-full_ProfitLoss_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_2" order="10" use="optional" weight="1"/>
  </calculationLink>
</linkbase>